Support Azure as a compute resource

11/02/2015 12:16 PM - Chris Edester

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Fog is being broken into seperate gems and one of them is now Azure!!!

https://github.com/fog/fog-azure

What needs done to start using Azure?

Any thoughts?

History

#1 - 11/03/2015 02:56 AM - Dominic Cleal

- Category set to Compute resources

We'd encourage this to be written as a plugin, which can add new compute resources.  We've already got foreman_digitalocean, foreman_one and

foreman_xen - I'd look at the DO plugin as a good template.

The plugin would just need to depend on fog-azure in its gemspec file.

http://projects.theforeman.org/projects/foreman/wiki/How_to_Create_a_Plugin has general information for setting up a plugin, including a template

plugin.

#2 - 02/15/2016 06:24 AM - Duncan Innes

Is there any progress on this topic?

Asking because I know there is a growing customer need for this in the downstream Sat6.

#3 - 06/23/2016 02:50 AM - Timo Goebel

Duncan Innes wrote:

Is there any progress on this topic?

 Yes. Please see:

https://github.com/theforeman/foreman_azure

#4 - 08/04/2016 01:29 PM - Chris Edester

Close this please.

#5 - 08/08/2016 03:02 AM - Dominic Cleal

- Status changed from New to Resolved
